Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.core.query
Class OslcOrderByParser

    java.lang.Object
      org.antlr.runtime.BaseRecognizer
          org.antlr.runtime.Parser
              org.eclipse.lyo.core.query.OslcOrderByParser

    public class OslcOrderByParser

extends org.antlr.runtime.Parser

Copyright (c) 2012 IBM Corporation. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 and Eclipse Distribution License v. 1.0 which accompanies this distribution. The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html and the Eclipse Distribution License is available at http://www.eclipse.org/org/documents/edl-v10.php. Contributors: Steve Pitchke - initial API and implementation

Nested Class Summary
`static class` | `OslcOrderByParser.identifier_return`
`static class` | `OslcOrderByParser.oslc_order_by_return`
`static class` | `OslcOrderByParser.prefixedName_return`
`static class` | `OslcOrderByParser.scoped_sort_term_return`
`static class` | `OslcOrderByParser.sort_term_return`
`static class` | `OslcOrderByParser.sort_terms_return`

Field Summary
`protected org.antlr.runtime.tree.TreeAdaptor` | `adaptor`
`static int` | `ASTERISK`
`static int` | `CLOSE_CURLY_BRACE`
`static int` | `COMMA`
`static int` | `DIGIT`
`static int` | `DIRECTION`
`static int` | `DOT`
`static int` | `EOF`
`static int` | `EOL`
`static org.antlr.runtime.BitSet` | `FOLLOW_CLOSE_CURLY_BRACE_in_scoped_sort_term164`
`static org.antlr.runtime.BitSet` | `FOLLOW_COMMA_in_sort_terms96`
`static org.antlr.runtime.BitSet` | `FOLLOW_DIRECTION_in_sort_term134`
`static org.antlr.runtime.BitSet` | `FOLLOW_identifier_in_scoped_sort_term158`
`static org.antlr.runtime.BitSet` | `FOLLOW_identifier_in_sort_term136`
`static org.antlr.runtime.BitSet` | `FOLLOW_OPEN_CURLY_BRACE_in_scoped_sort_term160`
`static org.antlr.runtime.BitSet` | `FOLLOW_prefixedName_in_identifier192`
`static org.antlr.runtime.BitSet` | `FOLLOW_scoped_sort_term_in_sort_term130`
`static org.antlr.runtime.BitSet` | `FOLLOW_set_in_prefixedName0`
`static org.antlr.runtime.BitSet` | `FOLLOW_sort_term_in_sort_terms92`
`static org.antlr.runtime.BitSet` | `FOLLOW_sort_term_in_sort_terms98`
`static org.antlr.runtime.BitSet` | `FOLLOW_sort_terms_in_oslc_order_by80`
`static org.antlr.runtime.BitSet` | `FOLLOW_sort_terms_in_scoped_sort_term162`
`static int` | `MINUS`
`static int` | `OPEN_CURLY_BRACE`
`static int` | `PLUS`
`static int` | `PN_CHARS`
`static int` | `PN_CHARS_BASE`
`static int` | `PN_CHARS_U`
`static int` | `PN_LOCAL`
`static int` | `PN_PREFIX`
`static int` | `PNAME_LN`
`static int` | `PNAME_NS`
`static int` | `SCOPED_TERM`
`static int` | `SIMPLE_TERM`
`static int` | `TERMS`
`static String[]` | `tokenNames`
`static int` | `WS`

Fields inherited from class org.antlr.runtime.Parser
`input`

Fields inherited from class org.antlr.runtime.BaseRecognizer
`DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

Constructor Summary
`OslcOrderByParser(String where)`
`OslcOrderByParser(org.antlr.runtime.TokenStream input)`
`OslcOrderByParser(org.antlr.runtime.TokenStream input, org.antlr.runtime.RecognizerSharedState state)`

Method Summary
`void` | `displayRecognitionError(String[] tokenNames, org.antlr.runtime.RecognitionException e)`
`List<String>` | `getErrors()`
`String` | `getGrammarFileName()`
`String[]` | `getTokenNames()`
`org.antlr.runtime.tree.TreeAdaptor` | `getTreeAdaptor()`
`OslcOrderByParser.identifier_return` | `identifier()`
`OslcOrderByParser.oslc_order_by_return` | `oslc_order_by()`
`OslcOrderByParser.prefixedName_return` | `prefixedName()`
`OslcOrderByParser.scoped_sort_term_return` | `scoped_sort_term()`
`void` | `setTreeAdaptor(org.antlr.runtime.tree.TreeAdaptor adaptor)`
`OslcOrderByParser.sort_term_return` | `sort_term()`
`OslcOrderByParser.sort_terms_return` | `sort_terms()`

Methods inherited from class org.antlr.runtime.Parser
`getCurrentInputSymbol, getMissingSymbol, getSourceName, getTokenStream, reset, setTokenStream, traceIn, traceOut`

Methods inherited from class org.antlr.runtime.BaseRecognizer
`alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, emitErrorMessage, endResync, failed, getBacktrackingLevel, getErrorHeader, getErrorMessage, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, reportError, setBacktrackingLevel, toStrings, traceIn, traceOut`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tokenNames

    public static final String[] tokenNames

### DIRECTION

    public static final int DIRECTION

See Also:
  Constant Field Values

### TERMS

    public static final int TERMS

See Also:
  Constant Field Values

### PN_LOCAL

    public static final int PN_LOCAL

See Also:
  Constant Field Values

### PNAME_NS

    public static final int PNAME_NS

See Also:
  Constant Field Values

### PNAME_LN

    public static final int PNAME_LN

See Also:
  Constant Field Values

### MINUS

    public static final int MINUS

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### ASTERISK

    public static final int ASTERISK

See Also:
  Constant Field Values

### EOL

    public static final int EOL

See Also:
  Constant Field Values

### WS

    public static final int WS

See Also:
  Constant Field Values

### SIMPLE_TERM

    public static final int SIMPLE_TERM

See Also:
  Constant Field Values

### PN_CHARS_BASE

    public static final int PN_CHARS_BASE

See Also:
  Constant Field Values

### COMMA

    public static final int COMMA

See Also:
  Constant Field Values

### PN_PREFIX

    public static final int PN_PREFIX

See Also:
  Constant Field Values

### PN_CHARS

    public static final int PN_CHARS

See Also:
  Constant Field Values

### PN_CHARS_U

    public static final int PN_CHARS_U

See Also:
  Constant Field Values

### PLUS

    public static final int PLUS

See Also:
  Constant Field Values

### DIGIT

    public static final int DIGIT

See Also:
  Constant Field Values

### DOT

    public static final int DOT

See Also:
  Constant Field Values

### OPEN_CURLY_BRACE

    public static final int OPEN_CURLY_BRACE

See Also:
  Constant Field Values

### CLOSE_CURLY_BRACE

    public static final int CLOSE_CURLY_BRACE

See Also:
  Constant Field Values

### SCOPED_TERM

    public static final int SCOPED_TERM

See Also:
  Constant Field Values

### adaptor

    protected org.antlr.runtime.tree.TreeAdaptor adaptor

### FOLLOW_sort_terms_in_oslc_order_by80

    public static final org.antlr.runtime.BitSet FOLLOW_sort_terms_in_oslc_order_by80

### FOLLOW_sort_term_in_sort_terms92

    public static final org.antlr.runtime.BitSet FOLLOW_sort_term_in_sort_terms92

### FOLLOW_COMMA_in_sort_terms96

    public static final org.antlr.runtime.BitSet FOLLOW_COMMA_in_sort_terms96

### FOLLOW_sort_term_in_sort_terms98

    public static final org.antlr.runtime.BitSet FOLLOW_sort_term_in_sort_terms98

### FOLLOW_scoped_sort_term_in_sort_term130

    public static final org.antlr.runtime.BitSet FOLLOW_scoped_sort_term_in_sort_term130

### FOLLOW_DIRECTION_in_sort_term134

    public static final org.antlr.runtime.BitSet FOLLOW_DIRECTION_in_sort_term134

### FOLLOW_identifier_in_sort_term136

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_sort_term136

### FOLLOW_identifier_in_scoped_sort_term158

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_scoped_sort_term158

### FOLLOW_OPEN_CURLY_BRACE_in_scoped_sort_term160

    public static final org.antlr.runtime.BitSet FOLLOW_OPEN_CURLY_BRACE_in_scoped_sort_term160

### FOLLOW_sort_terms_in_scoped_sort_term162

    public static final org.antlr.runtime.BitSet FOLLOW_sort_terms_in_scoped_sort_term162

### FOLLOW_CLOSE_CURLY_BRACE_in_scoped_sort_term164

    public static final org.antlr.runtime.BitSet FOLLOW_CLOSE_CURLY_BRACE_in_scoped_sort_term164

### FOLLOW_prefixedName_in_identifier192

    public static final org.antlr.runtime.BitSet FOLLOW_prefixedName_in_identifier192

### FOLLOW_set_in_prefixedName0

    public static final org.antlr.runtime.BitSet FOLLOW_set_in_prefixedName0

Constructor Detail

### OslcOrderByParser

    public OslcOrderByParser(org.antlr.runtime.TokenStream input)

### OslcOrderByParser

    public OslcOrderByParser(org.antlr.runtime.TokenStream input,
                             org.antlr.runtime.RecognizerSharedState state)

### OslcOrderByParser

    public OslcOrderByParser(String where)

Method Detail

### setTreeAdaptor

    public void setTreeAdaptor(org.antlr.runtime.tree.TreeAdaptor adaptor)

### getTreeAdaptor

    public org.antlr.runtime.tree.TreeAdaptor getTreeAdaptor()

### getTokenNames

    public String[] getTokenNames()

  Overrides:
    `getTokenNames` in class `org.antlr.runtime.BaseRecognizer`

### getGrammarFileName

    public String getGrammarFileName()

  Overrides:
    `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

### displayRecognitionError

    public void displayRecognitionError(String[] tokenNames,
                                        org.antlr.runtime.RecognitionException e)

  Overrides:
    `displayRecognitionError` in class `org.antlr.runtime.BaseRecognizer`

### getErrors

    public List<String> getErrors()

### oslc_order_by

    public final OslcOrderByParser.oslc_order_by_return oslc_order_by()
                                                               throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### sort_terms

    public final OslcOrderByParser.sort_terms_return sort_terms()
                                                         throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### sort_term

    public final OslcOrderByParser.sort_term_return sort_term()
                                                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### scoped_sort_term

    public final OslcOrderByParser.scoped_sort_term_return scoped_sort_term()
                                                                     throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### identifier

    public final OslcOrderByParser.identifier_return identifier()
                                                         throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### prefixedName

    public final OslcOrderByParser.prefixedName_return prefixedName()
                                                             throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.